## org.hibernate.internal.util.collections
Class ArrayHelper

    java.lang.Object
      org.hibernate.internal.util.collections.ArrayHelper

    public final class ArrayHelper

extends Object

Field Summary
`static boolean[]` `EMPTY_BOOLEAN_ARRAY`
`static byte[]` `EMPTY_BYTE_ARRAY`
`static Class[]` `EMPTY_CLASS_ARRAY`
`static int[]` `EMPTY_INT_ARRAY`
`static Object[]` `EMPTY_OBJECT_ARRAY`
`static String[]` `EMPTY_STRING_ARRAY`
`static Type[]` `EMPTY_TYPE_ARRAY`
`static boolean[]` `FALSE`
`static boolean[]` `TRUE`

Method Summary
`static void` `addAll(Collection collection, Object[] array)`
`static int` `countTrue(boolean[] array)`
`static int[]` `fillArray(int value, int length)`
`static LockMode[]` `fillArray(LockMode lockMode, int length)`
`static LockOptions[]` `fillArray(LockOptions lockOptions, int length)`
`static String[]` `fillArray(String value, int length)`
`static int[]` `getBatchSizes(int maxBatchSize)`
`static int` `hash(byte[] bytes)` calculate the array hash (only the first level)
`static int` `hash(char[] array)` calculate the array hash (only the first level)
`static int` `hash(Object[] array)` calculate the array hash (only the first level)
`static int` `indexOf(Object[] array, Object object)`
`static boolean` `isAllFalse(boolean[] array)`
`static boolean` `isAllNegative(int[] array)`
`static boolean` `isAllTrue(boolean[] array)`
`static boolean` `isEquals(byte[] b1, byte[] b2)` Compare 2 arrays only at the first level
`static boolean` `isEquals(char[] o1, char[] o2)` Compare 2 arrays only at the first level
`static boolean` `isEquals(Object[] o1, Object[] o2)` Compare 2 arrays only at the first level
`static int[]` `join(int[] x, int[] y)`
`static String[]` `join(String[] x, String[] y)`
`static String[]` `join(String[] x, String[] y, boolean[] use)`

`static

`<T> T[]`

`

`join(T[] x, T[] y)`

`static Object[]` `slice(Object[] objects, int begin, int length)`
`static String[]` `slice(String[] strings, int begin, int length)`
`static int[][]` `to2DIntArray(Collection coll)`
`static String[][]` `to2DStringArray(Collection coll)`
`static boolean[]` `toBooleanArray(Collection coll)`
`static int[]` `toIntArray(Collection coll)`
`static List` `toList(Iterator iter)`
`static List` `toList(Object array)`
`static String` `toString(Object[] array)`
`static String[]` `toStringArray(Collection coll)`
`static String[]` `toStringArray(Object[] objects)`
`static Type[]` `toTypeArray(Collection coll)`
`static Object[]` `typecast(Object[] array, Object[] to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    public static final boolean[] TRUE

### FALSE

    public static final boolean[] FALSE

### EMPTY_STRING_ARRAY

    public static final String[] EMPTY_STRING_ARRAY

### EMPTY_INT_ARRAY

    public static final int[] EMPTY_INT_ARRAY

### EMPTY_BOOLEAN_ARRAY

    public static final boolean[] EMPTY_BOOLEAN_ARRAY

### EMPTY_CLASS_ARRAY

    public static final Class[] EMPTY_CLASS_ARRAY

### EMPTY_OBJECT_ARRAY

    public static final Object[] EMPTY_OBJECT_ARRAY

### EMPTY_TYPE_ARRAY

    public static final Type[] EMPTY_TYPE_ARRAY

### EMPTY_BYTE_ARRAY

    public static final byte[] EMPTY_BYTE_ARRAY

Method Detail

### indexOf

    public static int indexOf(Object[] array,
                              Object object)

### toStringArray

    public static String[] toStringArray(Object[] objects)

### fillArray

    public static String[] fillArray(String value,
                                     int length)

### fillArray

    public static int[] fillArray(int value,
                                  int length)

### fillArray

    public static LockMode[] fillArray(LockMode lockMode,
                                       int length)

### fillArray

    public static LockOptions[] fillArray(LockOptions lockOptions,
                                          int length)

### toStringArray

    public static String[] toStringArray(Collection coll)

### to2DStringArray

    public static String[][] to2DStringArray(Collection coll)

### to2DIntArray

    public static int[][] to2DIntArray(Collection coll)

### toTypeArray

    public static Type[] toTypeArray(Collection coll)

### toIntArray

    public static int[] toIntArray(Collection coll)

### toBooleanArray

    public static boolean[] toBooleanArray(Collection coll)

### typecast

    public static Object[] typecast(Object[] array,
                                    Object[] to)

### toList

    public static List toList(Object array)

### slice

    public static String[] slice(String[] strings,
                                 int begin,
                                 int length)

### slice

    public static Object[] slice(Object[] objects,
                                 int begin,
                                 int length)

### toList

    public static List toList(Iterator iter)

### join

    public static String[] join(String[] x,
                                String[] y)

### join

    public static String[] join(String[] x,
                                String[] y,
                                boolean[] use)

### join

    public static int[] join(int[] x,
                             int[] y)

### join

    public static <T> T[] join(T[] x,
                               T[] y)

### toString

    public static String toString(Object[] array)

### isAllNegative

    public static boolean isAllNegative(int[] array)

### isAllTrue

    public static boolean isAllTrue(boolean[] array)

### countTrue

    public static int countTrue(boolean[] array)

### isAllFalse

    public static boolean isAllFalse(boolean[] array)

### addAll

    public static void addAll(Collection collection,
                              Object[] array)

### getBatchSizes

    public static int[] getBatchSizes(int maxBatchSize)

### hash

    public static int hash(Object[] array)

  calculate the array hash (only the first level)

### hash

    public static int hash(char[] array)

  calculate the array hash (only the first level)

### hash

    public static int hash(byte[] bytes)

  calculate the array hash (only the first level)

### isEquals

    public static boolean isEquals(Object[] o1,
                                   Object[] o2)

  Compare 2 arrays only at the first level

### isEquals

    public static boolean isEquals(char[] o1,
                                   char[] o2)

  Compare 2 arrays only at the first level

### isEquals

    public static boolean isEquals(byte[] b1,
                                   byte[] b2)

  Compare 2 arrays only at the first level

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.